Create Golden Query

Version 4.0.26.10 (latest)

Create Golden Query

Creates a golden query.

Request

POST /golden_queries
Datatype
Description
Request
HTTP Request
body
HTTP Body
Expand HTTP Body definition...
body
Golden Query
Expand GoldenQuery definition...
can
object
Operations the current user is able to perform on this object
id
integer
Unique identifier for the golden question
query_id
integer
ID of the associated Looker Query resolved from the answer
questions
string[]
answer
string
The Explore URL representing the answer to the question
is_active
boolean
Whether this golden question should be utilized by the agent
created_by_user_id
integer
ID of the user who created the question
last_updated_by_user_id
integer
ID of the user who last updated the question
created_at
string
Time when the question was created
last_updated_at
string
Time when the question was last updated

Response

200: Golden Query

Datatype
Description
(object)
can
object
Operations the current user is able to perform on this object
id
integer
Unique identifier for the golden question
query_id
integer
ID of the associated Looker Query resolved from the answer
questions
string[]
answer
string
The Explore URL representing the answer to the question
is_active
boolean
Whether this golden question should be utilized by the agent
created_by_user_id
integer
ID of the user who created the question
last_updated_by_user_id
integer
ID of the user who last updated the question
created_at
string
Time when the question was created
last_updated_at
string
Time when the question was last updated

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

409: Resource Already Exists

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

422: Validation Error

Datatype
Description
(object)
message
string
Error details
Expand ValidationErrorDetail definition...
field
string
Field with error
code
string
Error code
message
string
Error info message
documentation_url
string
Documentation link
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link